petsc-3.13.6 2020-09-29
Report Typos and Errors

# AOInitializePackage

This function initializes everything in the AO package. It is called from PetscDLLibraryRegister_petscvec() when using dynamic libraries, and on the first call to AOCreate() when using static or shared libraries.

### Synopsis

    PetscErrorCode  AOInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/vec/is/ao/interface/dlregisdm.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages